const customFixtures = require('../../shared/commands/_index-custom-fixtures');

const { getDefaultActor } = require('@zohodesk/testinglibrary/helpers');

function getPrimaryCookiePath() {
  const { email } = getDefaultActor();
  return `uat/playwright/.auth/${email}-cookies.json`;
}

/**
 * Represents the user configuration object.
 * @typedef {import('@zohodesk/testinglibrary').UserConfig} UserConfig
 */
module.exports = {
  headless: false,
  retries:1,
  openReportOn: 'never',
  browsers: ['Chrome'],
  isAuthMode: true,
  authFilePath: getPrimaryCookiePath(),
  trace: 'retain-on-failure',
  video: 'retain-on-failure',
  retries:1,
  bddMode: false,
  expectTimeout: 10 * 1000,
  testTimeout: 60 * 1000,
  globalTimeout: 2 * 60 * 60 * 1000,
  featureFilesFolder: 'feature-files',
  stepDefinitionsFolder: 'steps',
  viewport: { width: 1280, height: 720 },
  testIdAttribute: 'data-id',
  editionOrder: ['Free', 'Express', 'Standard', 'Professional', 'Enterprise'],
  additionalPages: {
    ...customFixtures
  }
};
